# Generated from carray-1.5.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name carray

Name: rubygem-%{gem_name}
Version: 1.5.7
Release: 1%{?dist}
Summary: Multi-dimesional array class for Ruby
License: MIT
URL: https://github.com/himotoyoshi/carray
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel >= 2.4.0
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
Ruby/CArray is an extension library for the multi-dimensional numerical
array
class. The name "CArray" comes from the meaning of a wrapper to a numerical
array
handled by the C language. CArray stores integers or floating-point numbers in
memory block and treats them collectively to ensure efficient performance.
Therefore, Ruby/CArray is suitable for numerical computation and data
analysis.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/NEWS.md
%{gem_instdir}/TODO.md
%{gem_libdir}
%{gem_instdir}/misc
%{gem_instdir}/utils
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/carray.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.5.7-1
- Initial package
